Sargeへのアップグレード

Woody(Debian GNU/Linux 3.0r2)は安定していて良いのですが、 既にリリースされてからかなりの時間が経過しており、 含まれているパッケージのバージョンがかなり古くなっています。

Debian Backportsプロジェクトの パッケージを使うという手もありますが、 いっそうの事次期バージョン(コード名:Sarge)にアップグレードしてしまいましょう。

Amazonのベストセラー
(キーワード: Debian)

APTの設定

何はともあれ、APTラインをSarge用に設定しなおしましょう。 /etc/apt/source.listを下記のように修正します。

deb http://www.t.ring.gr.jp/pub/linux/debian/debian sarge main contrib non-free
deb http://www.t.ring.gr.jp/pub/linux/debian/debian-jp sarge-jp main contrib non-free
deb http://www.t.ring.gr.jp/pub/linux/debian/debian-non-US sarge/non-US main contrib non-free
deb http://security.debian.org/ sarge/updates main contrib non-free

deb-src http://www.t.ring.gr.jp/pub/linux/debian/debian sarge main contrib non-free
deb-src http://www.t.ring.gr.jp/pub/linux/debian/debian-jp sarge-jp main contrib non-free
deb-src http://www.t.ring.gr.jp/pub/linux/debian/debian-non-US sarge/non-US main contrib non-free
deb-src http://security.debian.org/ sarge/updates main contrib non-free

パッケージデータベースの更新

source.listを変更したら下記コマンドでAPTのデータベースを更新しましょう。

# apt-get update

アップグレード

さて、いよいよアップグレードです。 これも下記コマンド一発です。 ただし、インストール中にtelnetサーバやsshサーバなどが停止する可能性がありますし、 X Window Systemも停止する可能性があるので、コンソールから実行しましょう。

ダウンロードにむちゃくちゃ時間がかかると思いますが、待ちましょう。

# apt-get dist-upgrade

いくつか質問がありますが、適当に応えておきましょう。 基本的にはデフォルトでよいと思います。 私は、fontconfigパッケージのところで、 液晶用のサブピクセルレンダリングするかどうかというところだけ、 デフォルトの「NO」から「YES」に変更してみました。 また、flexのアプグレードに関してはデフォルトでは「NO」なのですが、 そのままだとアップグレードに失敗してしまうため「YES」に変更しました。

質問に答え終わるとパッケージにインストールが始まるます。 これがまた長いですが、気長に待ちましょう。

もし、インストールの途中でこけてしまった場合は、 「apt-get dist-upgrade」を再度実行しましょう。 依存関係の問題がある場合は「apt-get -f dist-upgrade」で再開します。

無事に、インストールが完了したらOKです。 場合によっては、一部パッケージが保留(hold)される場合があります。 その場合は「apt-get install パッケージ名」で明示的にインストールすることができると思います。

完了

以上で終了です。これだけで終わってしまうのがDebianのいいところです。 ただ、大量のパッケージが入れ替えられたので、一旦リブートした方がよいかもしれません。

無事動いたら、ダウンロードしたパッケージをクリアしましょう。

# apt-get clean
SEO [PR] おまとめローン Windows7 冷え性対策 動画 掲示板 レンタルサーバー ライブチャット SEO